% CAL 2/5/03
% Updated 2/20/03
%
% Separate posts into three categories: posts with cell to be analyzed, unoccupied posts, and posts touching other cells
% (Note: separate_posts_tb separates deflections, while separate_posts_undef_tb separates arrays of cell centers




hold off;

actin2a=imrotate(actin2,rot_angle);
actin2b=imcrop(actin2a,[p1 offset]);

comp4(:,:,1)=actin2b(:,:);

comp4(:,:,2)=f3b_top(:,:);

comp4(:,:,3)=f3b_bot(:,:);

post_actin_h1=imshow(comp4);
maximize(gcf);

hold on;

uiwait(msgbox('Click on any posts that are degenerate or are touching other cells. Press <enter> when done.','Excluded Posts','modal'));

[degen_x degen_y]=ginput;

plot(degen_x, degen_y, 'y+');

if and(isempty(degen_x),isempty(degen_y));
    degen_ok=questdlg('You have indicated that there are no collapsed posts or posts touching other cells. Is this correct?','Excluded Posts');
else
    degen_ok=questdlg('Are selected posts (yellow +) correct?','Excluded Posts');
end

while degen_ok(1:2)=='No';
    imshow(comp4);
    maximize(gcf);
    degen_x=[];
    degen_y=[];
    hold on;
    [degen_x degen_y]=ginput;
    plot(degen_x, degen_y, 'y+');
    if and(isempty(degen_x),isempty(degen_y));
        degen_ok=questdlg('You have indicated that there are no collapsed posts or posts touching other cells. Is this correct?','Excluded Posts');
    else
        degen_ok=questdlg('Are selected posts (yellow +) correct?','Excluded Posts');
    end
end

[degen_posts_x,degen_posts_y]=compare_clicks2(degen_x,degen_y,actual_x_bot,actual_y_bot,delta_x,delta_y);

% also include posts determined to be "bad" from image processing:

if isempty(bad_posts_top);
else
    for i=1:size(bad_posts_top,1);
        degen_posts_x(bad_posts_top(i,1),bad_posts_top(i,2))=delta_x(bad_posts_top(i,1),bad_posts_top(i,2));
        degen_posts_y(bad_posts_top(i,1),bad_posts_top(i,2))=delta_y(bad_posts_top(i,1),bad_posts_top(i,2));
    end
end

if isempty(bad_posts_bot);
else
    for i=1:size(bad_posts_bot,1);
        degen_posts_x(bad_posts_bot(i,1),bad_posts_bot(i,2))=delta_x(bad_posts_bot(i,1),bad_posts_bot(i,2));
        degen_posts_y(bad_posts_bot(i,1),bad_posts_bot(i,2))=delta_y(bad_posts_bot(i,1),bad_posts_bot(i,2));
    end
end

set(title1,'String','Composite Actin Image with Vectors');

post_top_flag=0;
post_bot_flag=0;
actin_flag=1;
fn_flag=0;
vinc_flag=0;

draw_cell_tb2;

for i=1:row;
    for j=1:col;
        border_posts_x(i,j)=0;
        border_posts_y(i,j)=0;
    end
end

for i=1:row;
    for j=1:col;
        if and(and(cell_posts_x(i,j)==0,degen_posts_x(i,j)==0),and(cell_posts_y(i,j)==0,degen_posts_x(i,j)==0));
            border_posts_x(i,j)=delta_x(i,j);
            border_posts_y(i,j)=delta_y(i,j);
        end
    end
end


